ContosoUniversity/Controllers/NhatkyvanhanhsController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using ContosoUniversity.Common;
using ContosoUniversity.DAL;
using ContosoUniversity.DTO;
using ContosoUniversity.Models;
using Enum = System.Enum;

namespace ContosoUniversity.Controllers
{
    public class NhatkyvanhanhsController : Controller
    {
        private SchoolContext db = new SchoolContext();

        // GET: Nhatkyvanhanhs
        public ActionResult Index()
        {
            return View(db.Nhatkyvanhanhs.ToList());
        }

        // GET: Nhatkyvanhanhs/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Nhatkyvanhanh nhatkyvanhanh = db.Nhatkyvanhanhs.Find(id);
            if (nhatkyvanhanh == null)
            {
                return HttpNotFound();
            }
            return View(nhatkyvanhanh);
        }

        // GET: Nhatkyvanhanhs/Create
        public ActionResult Create()
        {
            return View();
        }

        // POST: Nhatkyvanhanhs/Create
        // To protect from overposting attacks, enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "NhatkyvanhanhID,MotaNhatky,Thongtinsuco,Luuluongvao,Luuluongra,Chisotieuthudien,Khoiluongtieuthudien,polymervao,polymerra,phabotvao,phabotra,NguoiTruc")] Nhatkyvanhanh nhatkyvanhanh)
        {
            if (ModelState.IsValid)
            {
                db.Nhatkyvanhanhs.Add(nhatkyvanhanh);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(nhatkyvanhanh);
        }

        // GET: Nhatkyvanhanhs/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Nhatkyvanhanh nhatkyvanhanh = db.Nhatkyvanhanhs.Find(id);
            if (nhatkyvanhanh == null)
            {
                return HttpNotFound();
            }
            return View(nhatkyvanhanh);
        }

        // POST: Nhatkyvanhanhs/Edit/5
        // To protect from overposting attacks, enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "NhatkyvanhanhID,MotaNhatky,Thongtinsuco,Luuluongvao,Luuluongra,Chisotieuthudien,Khoiluongtieuthudien,polymervao,polymerra,phabotvao,phabotra,NguoiTruc")] Nhatkyvanhanh nhatkyvanhanh)
        {
            if (ModelState.IsValid)
            {
                db.Entry(nhatkyvanhanh).State = System.Data.Entity.EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(nhatkyvanhanh);
        }

        // GET: Nhatkyvanhanhs/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Nhatkyvanhanh nhatkyvanhanh = db.Nhatkyvanhanhs.Find(id);
            if (nhatkyvanhanh == null)
            {
                return HttpNotFound();
            }
            return View(nhatkyvanhanh);
        }

        // POST: Nhatkyvanhanhs/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Nhatkyvanhanh nhatkyvanhanh = db.Nhatkyvanhanhs.Find(id);
            db.Nhatkyvanhanhs.Remove(nhatkyvanhanh);
            db.SaveChanges();
            return RedirectToAction("Index");
        }
        #region Nhật ký vận hành và sữa chữa
        public ActionResult NhatKyVanHanhVaSuCo()
        {
            List<NhatKyVanHanhVaSuaChua> lstNhatKyVanHanh = new List<NhatKyVanHanhVaSuaChua>();
            var getDSNhatKy = db.Nhatkyvanhanhs.ToList();
            var getAllSuCo = db.ThongtinSuCos.ToList();
            var groupJoin = getDSNhatKy.GroupJoin(getAllSuCo, nk=>nk.NhatkyvanhanhID, sc => sc.NhatKyID,(nk,sc) => new { nk, sc});
            foreach (var item in groupJoin)
            {
                NhatKyVanHanhVaSuaChua nhatkyvanhanh = new NhatKyVanHanhVaSuaChua
                {
                    IDNhatKy = item.nk.NhatkyvanhanhID,
                    LuuLuongVao = Convert.ToDecimal(item.nk.Luuluongvao),
                    LuuLuongRa = Convert.ToDecimal(item.nk.Luuluongra),
                    ChiSoTieuThuDien = Convert.ToDecimal(item.nk.Chisotieuthudien),
                    KhoiLuongTieuThuDien = Convert.ToDecimal(item.nk.Khoiluongtieuthudien),
                    PolymerVao = Convert.ToDecimal(item.nk.polymervao),
                    PolymerRa = Convert.ToDecimal(item.nk.polymerra),
                    PolymerTon = Convert.ToDecimal(item.nk.polymervao) - Convert.ToDecimal(item.nk.polymerra),
                    PhaBotVao = Convert.ToDecimal(item.nk.phabotvao),
                    PhaBotRa = Convert.ToDecimal(item.nk.polymerra),
                    PhaBotTon = Convert.ToDecimal(item.nk.phabotvao) - Convert.ToDecimal(item.nk.phabotra),
                    ChuYCaSauTheoDoi = item.nk.MotaNhatky

                };
                lstNhatKyVanHanh.Add(nhatkyvanhanh);
                nhatkyvanhanh.DanhSachSuCo = new List<ThongTinSuCo>();
                foreach (var suco in item.sc)
                {
                    ThongTinSuCo thongTinSuCo = new ThongTinSuCo()
                    {
                        SuCoID = suco.ThongtinSuCoID,
                        NgayTaoSuCo = suco.CreateDate,
                        MoTaSuCo = suco.MoTaNganSuCo,
                        KetQua = suco.Ketqua,
                        CachKhacPhuc = suco.Cachkhacphuc
                    };
                    nhatkyvanhanh.DanhSachSuCo.Add(thongTinSuCo);
                }
            }
            ViewBag.lstNhatKy = lstNhatKyVanHanh;

            //foreach (var nhatKyModel in getDSNhatKy)
            //{
            //    NhatKyVanHanhVaSuaChua nhatKy = new NhatKyVanHanhVaSuaChua
            //    {
            //        IDNhatKy = nhatKyModel.NhatkyvanhanhID,
            //        LuuLuongVao = Convert.ToDecimal(nhatKyModel.Luuluongvao),
            //        LuuLuongRa = Convert.ToDecimal(nhatKyModel.Luuluongra),
            //        ChiSoTieuThuDien = Convert.ToDecimal(nhatKyModel.Chisotieuthudien),
            //        KhoiLuongTieuThuDien = Convert.ToDecimal(nhatKyModel.Khoiluongtieuthudien),
            //        PolymerVao = Convert.ToDecimal(nhatKyModel.polymervao),
            //        PolymerRa = Convert.ToDecimal (nhatKyModel.polymerra),
            //        PolymerTon = Convert.ToDecimal(nhatKyModel.polymervao) - Convert.ToDecimal(nhatKyModel.polymerra),
            //        PhaBotVao = Convert.ToDecimal(nhatKyModel.phabotvao),
            //        PhaBotRa = Convert.ToDecimal(nhatKyModel.polymerra),
            //        PhaBotTon = Convert.ToDecimal(nhatKyModel.phabotvao) - Convert.ToDecimal(nhatKyModel.phabotra),
            //        ChuYCaSauTheoDoi = nhatKyModel.MotaNhatky

            //    };
            //    lstNhatKyVanHanh.Add(nhatKy);
            //}
            //ViewBag.lstNhatKy = lstNhatKyVanHanh;
            var enumCalamviec = from Calamviec ca in Enum.GetValues(typeof(Calamviec))
                                select new
                                {
                                    ID = (int)ca,
                                    Name = ca.ToString()
                                };
            ViewBag.EnumCaLamViec = enumCalamviec;//new SelectList(enumCalamviec, "ID", "Name");

            return View("NhatKyVanHanhVaSuaChua");
        }
        public ActionResult AddNewNhatKy()
        {
            return PartialView("~/Views/Nhatkyvanhanhs/AddNhatKyVanHanh.cshtml");

        }
        
        #endregion
        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

ContosoUniversity/Controllers/ThongtinMesController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using ContosoUniversity.DAL;
using ContosoUniversity.Models;
using PagedList;

namespace ContosoUniversity.Controllers
{
    public class ThongtinMesController : Controller
    {
        private SchoolContext db = new SchoolContext();

        // GET: ThongtinMes
        //public ViewResult Index(string sortOrder, string currentFilter, string searchString, int? page)
        public ViewResult Index(int page = 1, int pagesize = 5)
        {
            var res = db.ThongtinMes.OrderBy(x => x.ThongTinMeID).ToPagedList(page, pagesize);
            ViewBag.total = res.TotalItemCount;
            return View(res);
        }

        // GET: ThongtinMes/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            ThongtinMe thongtinMe = db.ThongtinMes.Find(id);
            if (thongtinMe == null)
            {
                return HttpNotFound();
            }
            return View(thongtinMe);
        }

        // GET: ThongtinMes/Create
        public ActionResult Create()
        {
            //ThongtinMe thongtinMe = new ThongtinMe
            //{
            //    dayTimeTo = DateTime.Now
            //,
            //    timeUpdateMe = DateTime.Now
            //    ,
            //};
            //return View(thongtinMe);
            return View();
        }

        // POST: ThongtinMes/Create
        // To protect from overposting attacks, enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create(/*[Bind(Include = "ThongTinMeCode,Begom,CycloTron,Belang,BomHoaChat,BeDieuHoa,BeSBR1,BeSBR2,MayEpBun")]*/ ThongtinMe thongtinMe)
        {
            thongtinMe.CreateBy = "MayDinhTest";
            thongtinMe.CreateDate = DateTime.Now;
            thongtinMe.UpdateBy = "MayTest";
            thongtinMe.UpdateDate = DateTime.Now;

            if (ModelState.IsValid)
            {
                db.ThongtinMes.Add(thongtinMe);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(thongtinMe);
        }

        // GET: ThongtinMes/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            ThongtinMe thongtinMe = db.ThongtinMes.Find(id);
            if (thongtinMe == null)
            {
                return HttpNotFound();
            }
            return View(thongtinMe);
        }

        // POST: ThongtinMes/Edit/5
        // To protect from overposting attacks, enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "ThongTinMeID,ThongTinMeCode,CreateBy,CreateDate,UpdateBy,UpdateDate,Begom,CycloTron,Belang,BomHoaChat,BeDieuHoa,BeSBR1,BeSBR2,MayEpBun")] ThongtinMe thongtinMe)
        {
            if (ModelState.IsValid)
            {
                db.Entry(thongtinMe).State = System.Data.Entity.EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(thongtinMe);
        }

        // GET: ThongtinMes/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            ThongtinMe thongtinMe = db.ThongtinMes.Find(id);
            if (thongtinMe == null)
            {
                return HttpNotFound();
            }
            return View(thongtinMe);
        }

        // POST: ThongtinMes/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            ThongtinMe thongtinMe = db.ThongtinMes.Find(id);
            db.ThongtinMes.Remove(thongtinMe);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

ContosoUniversity/Controllers/ThongtinSuCoesController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using ContosoUniversity.DAL;
using ContosoUniversity.Models;

namespace ContosoUniversity.Controllers
{
    public class ThongtinSuCoesController : Controller
    {
        private SchoolContext db = new SchoolContext();

        // GET: ThongtinSuCoes
        public ActionResult Index()
        {
            return View(db.ThongtinSuCos.ToList());
        }

        // GET: ThongtinSuCoes/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            ThongtinSuCo thongtinSuCo = db.ThongtinSuCos.Find(id);
            if (thongtinSuCo == null)
            {
                return HttpNotFound();
            }
            return View(thongtinSuCo);
        }

        // GET: ThongtinSuCoes/Create
        public ActionResult Create()
        {
            return View();
        }

        // POST: ThongtinSuCoes/Create
        // To protect from overposting attacks, enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "ThongtinSuCoID,ThongTinSuCoCode, CreateBy, MotaNganSuCo, CachKhacPhuc, Ketqua")] ThongtinSuCo thongtinSuCo)
        {
            thongtinSuCo.CreateDate = DateTime.Now;
            thongtinSuCo.UpdateDate = DateTime.Now;
            
            if (ModelState.IsValid)
            {
                db.ThongtinSuCos.Add(thongtinSuCo);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(thongtinSuCo);
        }

        // GET: ThongtinSuCoes/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            ThongtinSuCo thongtinSuCo = db.ThongtinSuCos.Find(id);
            if (thongtinSuCo == null)
            {
                return HttpNotFound();
            }
            return View(thongtinSuCo);
        }

        // POST: ThongtinSuCoes/Edit/5
        // To protect from overposting attacks, enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "ThongtinSuCoID,ThongTinSuCoCode,CreateDate")] ThongtinSuCo thongtinSuCo)
        {
            if (ModelState.IsValid)
            {
                db.Entry(thongtinSuCo).State = System.Data.Entity.EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(thongtinSuCo);
        }

        // GET: ThongtinSuCoes/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            ThongtinSuCo thongtinSuCo = db.ThongtinSuCos.Find(id);
            if (thongtinSuCo == null)
            {
                return HttpNotFound();
            }
            return View(thongtinSuCo);
        }

        // POST: ThongtinSuCoes/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            ThongtinSuCo thongtinSuCo = db.ThongtinSuCos.Find(id);
            db.ThongtinSuCos.Remove(thongtinSuCo);
            db.SaveChanges();
            return RedirectToAction("Index");
        }
        #region Thông tin sự cố
        public ActionResult AddNewSuCo()
        {
            return PartialView("~/Views/ThongtinSuCoes/AddThongTinSuCo.cshtml");

        }
        #endregion
        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

ContosoUniversity/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - Contoso University</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
    <script type="text/javascript">
        var appInsights = window.appInsights || function (config) {
            function s(config) { t[config] = function () { var i = arguments; t.queue.push(function () { t[config].apply(t, i) }) } } var t = { config: config }, r = document, f = window, e = "script", o = r.createElement(e), i, u; for (o.src = config.url || "//az416426.vo.msecnd.net/scripts/a/ai.0.js", r.getElementsByTagName(e)[0].parentNode.appendChild(o), t.cookie = r.cookie, t.queue = [], i = ["Event", "Exception", "Metric", "PageView", "Trace"]; i.length;)s("track" + i.pop()); return config.disableExceptionTracking || (i = "onerror", s("_" + i), u = f[i], f[i] = function (config, r, f, e, o) { var s = u && u(config, r, f, e, o); return s !== !0 && t["_" + i](config, r, f, e, o), s }), t
        }({
            instrumentationKey: "615aadc5-8508-46e7-aa93-713181a155ae"
        });

        window.appInsights = appInsights;
        appInsights.trackPageView();
    </script>
</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("Kymdan - Quản lý nhật ký vận hành", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li>@Html.ActionLink("Trang chủ", "Index", "Home")</li>
                    @*                    <li>@Html.ActionLink("About", "About", "Home")</li>*@

                    <li>@Html.ActionLink("Quản lý Nhật ký vận hành", "NhatKyVanHanhVaSuCo", "Nhatkyvanhanhs")</li>
                    <li>@Html.ActionLink("Quản lý Mẻ", "Index", "ThongtinMes")</li>
                    <li>@Html.ActionLink("Quản lý Sự cố", "Index", "ThongtinSuCoes")</li>
                </ul>
            </div>
        </div>
    </div>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - Công ty Kymdan</p>
        </footer>
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
</body>
</html>

ContosoUniversity/Views/Shared/_LayoutCommon.cshtml
@{
    Layout = null;
}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>KYMDAN</title>
    @*<link href="https://fonts.googleapis.com/css?family=Merienda+One" rel="stylesheet">
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">*@
    @*<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">*@
    @*<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>*@
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
    <style>
        body {
            background: #eeeeee;
        }

        .form-inline {
            display: inline-block;
        }

        .navbar {
            background: #c5d3e5;
            padding-left: 16px;
            padding-right: 16px;
            border-bottom: 1px solid #d6d6d6;
            box-shadow: 0 0 4px rgba(0,0,0,.1);
        }

        .nav img {
            border-radius: 50%;
            width: 36px;
            height: 36px;
            margin: -8px 0;
            float: left;
            margin-right: 10px;
        }

        .navbar .navbar-brand {
            color: #555;
            padding-left: 0;
            padding-right: 50px;
            font-family: 'Merienda One', sans-serif;
        }

            .navbar .navbar-brand i {
                font-size: 20px;
                margin-right: 5px;
            }

        .search-box {
            position: relative;
        }

            .search-box input {
                box-shadow: none;
                padding-right: 35px;
                border-radius: 3px !important;
            }

            .search-box .input-group-addon {
                min-width: 35px;
                border: none;
                background: transparent;
                position: absolute;
                right: 0;
                z-index: 9;
                padding: 7px;
                height: 100%;
            }

            .search-box i {
                color: #a0a5b1;
                font-size: 19px;
            }

        .navbar ul li i {
            font-size: 18px;
        }

        .navbar .dropdown-menu i {
            font-size: 16px;
            min-width: 22px;
        }

        .navbar .dropdown.open > a {
            background: none !important;
        }

        .navbar .dropdown-menu {
            border-radius: 1px;
            border-color: #e5e5e5;
            box-shadow: 0 2px 8px rgba(0,0,0,.05);
        }

            .navbar .dropdown-menu li a {
                color: #777;
                padding: 8px 20px;
                line-height: normal;
            }

                .navbar .dropdown-menu li a:hover, .navbar .dropdown-menu li a:active {
                    color: #333;
                }

            .navbar .dropdown-menu .material-icons {
                font-size: 21px;
                line-height: 16px;
                vertical-align: middle;
                margin-top: -2px;
            }

        .navbar .badge {
            background: #f44336;
            font-size: 11px;
            border-radius: 20px;
            position: absolute;
            min-width: 10px;
            padding: 4px 6px 0;
            min-height: 18px;
            top: 5px;
        }

        .navbar ul.nav li a.notifications, .navbar ul.nav li a.messages {
            position: relative;
            margin-right: 10px;
        }

        .navbar ul.nav li a.messages {
            margin-right: 20px;
        }

        .navbar a.notifications .badge {
            margin-left: -8px;
        }

        .navbar a.messages .badge {
            margin-left: -4px;
        }

        .navbar .active a, .navbar .active a:hover, .navbar .active a:focus {
            background: transparent !important;
        }

        @@media (min-width: 1200px) {
            .form-inline .input-group {
                width: 300px;
                margin-left: 30px;
            }
        }

        @@media (max-width: 1199px) {
            .form-inline {
                display: block;
                margin-bottom: 10px;
            }

            .input-group {
                width: 100%;
            }
        }
        .body-content{
            background-color: white;
        }
    </style>
</head>
<body>
    <nav class="navbar navbar-default navbar-fixed-top">
        <div class="navbar-header">
            <a class="navbar-brand" href='@Url.Action("Index","Home")'><i class="fa fa-cube"></i>KYMDAN<b>Quản lý nhật ký vận hành</b></a>
            <button type="button" data-target="#navbarCollapse" data-toggle="collapse" class="navbar-toggle">
                <span class="navbar-toggler-icon"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
        </div>
        <!-- Collection of nav links, forms, and other content for toggling -->
        <div id="navbarCollapse" class="collapse navbar-collapse">
            <ul class="nav navbar-nav">
                <li class="active">@Html.ActionLink("Trang chủ", "Index", "Home")</li>
                <li>@Html.ActionLink("Quản lý Mẻ", "Index", "ThongtinMes")</li>
                <li>@Html.ActionLink("Quản lý Nhật ký vận hành", "NhatKyVanHanhVaSuCo", "Nhatkyvanhanhs")</li>
                @*<li class="dropdown">
            <a data-toggle="dropdown" class="dropdown-toggle" href="#">Services <b class="caret"></b></a>
            <ul class="dropdown-menu">
                <li><a href="#">Web Design</a></li>
                <li><a href="#">Web Development</a></li>
                <li><a href="#">Graphic Design</a></li>
                <li><a href="#">Digital Marketing</a></li>
            </ul>
        </li>*@
                @*<li>@Html.ActionLink("Quản lý Sự cố", "Index", "ThongtinSuCoes")</li>*@
            </ul>
            <form class="navbar-form form-inline">
                <div class="input-group search-box">
                    @*<input type="text" id="search" class="form-control" placeholder="Search by Name">
                    <span class="input-group-addon"><i class="material-icons">&#xE8B6;</i></span>*@
                </div>
            </form>
            <ul class="nav navbar-nav navbar-right">
                @*<li><a href="#" class="notifications"><i class="fa fa-bell-o"></i><span class="badge">1</span></a></li>
                <li><a href="#" class="messages"><i class="fa fa-envelope-o"></i><span class="badge">10</span></a></li>*@
                <li class="dropdown">
                    <a href='@Url.Action("LogOut","Login")' @*data-toggle="dropdown"*@ @*class="dropdown-toggle user-action"*@><img src="https://www.tutorialrepublic.com/examples/images/avatar/2.jpg" class="avatar" alt="Avatar"> Đăng xuất @*<b class="caret"></b>*@</a>
                    @*<ul class="dropdown-menu">
                        <li><a href="#"><i class="fa fa-user-o"></i> Profile</a></li>
                        <li><a href="#"><i class="fa fa-calendar-o"></i> Calendar</a></li>
                        <li><a href="#"><i class="fa fa-sliders"></i> Settings</a></li>
                        <li class="divider"></li>
                        <li>@Html.ActionLink("Đăng xuất", "LoginOut", "Login")</li>
                    </ul>*@
                </li>
            </ul>
        </div>
    </nav>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - Công ty Kymdan</p>
        </footer>
    </div>
    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
</body>
</html>                            